%define		debug_package %{nil}

Name:		banshee-community-extensions
Version:	1.8.0
Release:	2%{?dist}
Summary:	Collection of extensions for the media player Banshee
Group:		Applications/Multimedia
License:	GPLv2+ and MIT
URL:		http://banshee-project.org/download/extensions/
Source0:	http://download.banshee-project.org/banshee-community-extensions/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	banshee
BuildRequires:	mono-devel, banshee-devel, banshee-musicbrainz-devel
BuildRequires:	intltool, gnome-sharp-devel
BuildRequires:	fftw-devel, libsamplerate-devel, gstreamer-devel, gstreamer-plugins-base-devel
BuildRequires:	notify-sharp-devel, webkit-sharp-devel
BuildRequires:	gnome-doc-utils, lirc-devel
BuildRequires:	clutter-sharp-devel

# no need to provide banshee-mirage since no other package requires it
Obsoletes:	banshee-mirage < 0.6.1
Requires:	banshee

%description
The Banshee Community Extensions contains a set of useful extensions
for the media player Banshee. 

%prep
%setup -q

%build
%configure	--enable-gnome --disable-schemas-install --enable-alarmclock \
		--enable-coverwallpaper --enable-lcd \
		--enable-lirc --enable-liveradio --enable-magnatune \
		--enable-mirage --enable-radiostationfetcher \
		--enable-stream-recorder --enable-telepathy --enable-awn \
		--enable-lyrics \
		--enable-clutterflow 
make V=1 %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install-strip
chmod 644 `find $RPM_BUILD_ROOT%{_libdir}/banshee-1/Extensions -name '*.dll.config'`

# delete unneeded *.(l)a files
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' -exec rm -f {} \;

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_libdir}/banshee-1/Extensions/*
%{_datadir}/gnome/help/banshee/*/*

%changelog
* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 1.8.0-2
- Fix permissions on dll.config files

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 1.8.0-1
- Update to 1.8.0
- Remove ipod-sharp and ndesk-dbus BR

* Wed Aug 18 2010 Christian Krause <chkr@fedoraproject.org> - 1.7.4-2
- Enable clutterflow extensions

* Tue Aug 17 2010 Christian Krause <chkr@fedoraproject.org> - 1.7.4-1
- Update to 1.7.4
- Add necessary BR

* Tue Jun 01 2010 Christian Krause <chkr@fedoraproject.org> - 1.6.0-2
- Rebuilt against new mono-addins

* Wed Mar 31 2010 Christian Krause <chkr@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0 release
- Remove upstreamed patch

* Sun Mar 28 2010 Christian Krause <chkr@fedoraproject.org> - 1.5.5-1
- Initial spec file
